# Библиотека для работы с регистрационными знаками транспортных средств

Данная библиотека создана для работы с некоторыми задачами, связанными с регистрационными знаками. 
Данный проект умеет: 
1. Определять корректность номера
2. Выделять следующий номер в диапозоне и без
3. Проверять количество номеров в диапозоне

В проект также добавлены модули для тестирования функционала и тестовые сценраии.

## Начало работы

Для начала работы с данной библиотекой скачайте архив (.zip или др.) или склонируйте [Репозиторий](http://gogs.ngknn.ru:3000/CryDeveloper/TestingTask/_edit/master/README.md) 

### Необходимые условия

Для установки данного проекта необходимо:
1. IDE

```
Напрмер, VisualStusio, Rider или Visual Studio Code
```
2. ASP.NET Core (минимим 7.0)

### Установка

Выполните шаг из "Начало работы". После, библиотеку можно будет присоеденить к другим проектам.
Библиотека не работает без сторонних программ.
```
1. Проект с библиотекой можно прикрепить к другому проекту. Например, в VisualStusio - "Добавить - существующий проект"
2. Можно скопировать файлы библиотеки в свой проект. Нужные файлы лежат по пути "TestSessionLib\TestSessionLib\bin\Debug\net7.0". Не забудьте файл "code_region.txt".
```

Тестовые сценарии находятся в файле testing-template.docx.

Для запуска модульных тестов:
```
Напрмер, в VisualStusio:
1. Нажмите ПКМ в обозревателе решенй по проекту TestProject
2. В выпавшем меню нажмите "Выполнить тесты"
3. Подождите, когда выполнятся  тесты и посмотрите результат.
```

## Авторы

* **Таран Анжелика** - *TestSessionLib* - [CryDeveloper](http://gogs.ngknn.ru:3000/CryDeveloper)